org.apache.xmlbeans.impl.config

## Class UserTypeImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.config.UserTypeImpl

All Implemented Interfaces:
  UserType

    public class UserTypeImpl
    extends Object
    implements UserType

### Constructor Summary

Constructors
Constructor and Description
`UserTypeImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getJavaName()` The class name the simple value will be converted to.
`QName` `getName()` The QName of the simple value that will be converted to a Java class.
`String` `getStaticHandler()` A class which provides public static methods to convert `SimpleValue` objects to and from the Java type specified by `UserType.getJavaName()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UserTypeImpl

    public UserTypeImpl()

### Method Detail

#### getJavaName

    public String getJavaName()

Description copied from interface: `UserType`
The class name the simple value will be converted to.

Specified by:
  `getJavaName` in interface `UserType`

#### getName

    public QName getName()

Description copied from interface: `UserType`
The QName of the simple value that will be converted to a Java class.

Specified by:
  `getName` in interface `UserType`

#### getStaticHandler

    public String getStaticHandler()

Description copied from interface: `UserType`
A class which provides public static methods to convert `SimpleValue` objects to and from the Java type specified by `UserType.getJavaName()`.

Specified by:
  `getStaticHandler` in interface `UserType`